Bug 1608550 - fence_kdump should support the validate-all command
Summary: fence_kdump should support the validate-all command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Oyvind Albrigtsen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-25 19:14 UTC by Ken Gaillot
Modified: 2019-08-06 12:35 UTC (History)
3 users (show)

Fixed In Version: fence-agents-4.2.1-15.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2037 None None None 2019-08-06 12:35:15 UTC

Description Ken Gaillot 2018-07-25 19:14:06 UTC
Pacemaker's stonith_admin command now has a --validate option to check a potential device configuration using an agent's validate-all command, and pcs intends to use that when configuring a fence device. fence_kdump appears to be the only agent remaining that does not support validate-all.

Comment 2 Oyvind Albrigtsen 2018-09-03 13:31:05 UTC
https://github.com/ClusterLabs/fence-agents/pull/239

Comment 7 errata-xmlrpc 2019-08-06 12:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2037


Note You need to log in before you can comment on or make changes to this bug.